Skip to main content
GET
/
v1
/
settlements
List settlements
curl --request GET \
  --url https://api.plexospay.com/v1/settlements \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "se_abc123",
      "merchantId": "<string>",
      "amount": "<string>",
      "feeTotal": "<string>",
      "netAmount": "<string>",
      "currency": "CVE",
      "amountFormatted": "<string>",
      "netAmountFormatted": "<string>",
      "status": "PENDING",
      "periodStart": "2023-11-07T05:31:56Z",
      "periodEnd": "2023-11-07T05:31:56Z",
      "payoutRef": "<string>",
      "itemCount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "processedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true
}

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Query Parameters

limit
integer
default:20

Max items per page (1-100)

Required range: 1 <= x <= 100
starting_after
string

Cursor — ID of the last item from previous page

status
enum<string>
Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED

Response

200 - application/json

Paginated list of settlements

data
object[]
hasMore
boolean